var EJSS_HARDWARE = EJSS_HARDWARE || {};

EJSS_HARDWARE.accelerometer = function () {
  var self = {};
   
  self.isPresent = function() {
    return window.sensors && window.sensors.isAccelerometer();
  };
  
  self.start = function() {
    if (self.isPresent()) window.sensors.runAccelerometer();
  };

  self.stop = function() {
    if (self.isPresent()) window.sensors.stopAccelerometer();
  };
  
  self.readData = function() {
    if (self.isPresent()) return window.sensors.getAccelerometer();
    else return {x:0, y:0, z:0};
  };
  
  return self;

};

EJSS_HARDWARE.sensorTag = function () {
  var self = {};
   
  self.isPresent = function() {
    return window.sensors && window.sensors.isExtAccelerometer();
  };
  
  self.start = function() {
    if (self.isPresent()) window.sensors.runExtAccelerometer();
  };

  self.stop = function() {
    if (self.isPresent()) window.sensors.stopExtAccelerometer();
  };
  
  self.readData = function() {
    if (self.isPresent()) return window.sensors.getExtAccelerometer();
    else return {x:0, y:0, z:0};
  };
  
  return self;

};

EJSS_HARDWARE.linearAccelerometer = function () {
  var self = {};
   
  self.isPresent = function() {
    return window.sensors && window.sensors.isLinearAcceleration();
  };
  
  self.start = function() {
    if (self.isPresent()) window.sensors.runLinearAcceleration();
  };

  self.stop = function() {
    if (self.isPresent()) window.sensors.stopLinearAcceleration();
  };
  
  self.readData = function() {
    if (self.isPresent()) return eval(window.sensors.getLinearAcceleration());
    else return {x:0, y:0, z:0};
  };
  
  return self;

};

EJSS_HARDWARE.gyroscope = function () {
  var self = {};
   
  self.isPresent = function() {
    return window.sensors && window.sensors.isGyroscope();
  };
  
  self.start = function() {
    if (self.isPresent()) window.sensors.runGyroscope();
  };

  self.stop = function() {
    if (self.isPresent()) window.sensors.stopGyroscope();
  };
  
  self.readData = function() {
    if (self.isPresent()) return eval(window.sensors.getGyroscope());
    else return {x:0, y:0, z:0};
  };
  
  return self;

};
